<template>
  <div style="padding: 1.25rem">
    <h6 class="text-uppercase text-secondary font-weight-bolder pt-4">
      Review List
    </h6>

    <div v-if="loading">Loading...</div>
    <div v-else>
        <div
        class="border-bottom d-none d-md-block"
        v-for="(review, index) in reviews"
        :key="index"
        >
        <div class="row pt-4">
            <div class="col-md-6">Phung Anh</div>
            <div class="col-md-4 d-flex justify-content-end">
                <star-rating :value="review.rating" class="fa-lg"></star-rating>
            </div>
            <div class="col-md-2 text-right"><i class="fa fa-trash" @click.prevent="deleteReview(review)"></i></div>
        </div>
        <div class="row">
            <div class="col-md-12">{{ review.created_at | fromNow }}</div>

        </div>
        <div class="row pt-4 pb-4">
            <div class="col-md-12">{{ review.content }}</div>
        </div>
        </div>
    </div>
  </div>
</template>

<script>
// import moment from 'moment';

export default {
  props: {
    bookableId: [String, Number],
  },
  data() {
    return {
      loading: false,
      reviews: null,
    };
  },
  created() {
    this.loading = true;
    axios
      .get(`/api/bookables/${this.bookableId}/reviews`)
      .then((res) => {
        this.reviews = res.data.data;
      })
      .then(() => (this.loading = false));
  },
  methods: {
    deleteReview(review){
      console.log(review);
      axios.delete(`/api/reviews/${review.id}`).then((res) => {
        console.log(res);
      }).catch((err) => {
        console.danger(err);
      });
    }
  }
//   filters: {
//       fromNow(value) {
//           return moment(value).fromNow();
//       }
//   }
};
</script>